Capture list of payouts

View as MarkdownOpen in Claude
Captures an array of authorized payout transactions for settlement. The maximum number of transactions that can be captured in a single request is 500.

Headers

idempotencyKeystringOptional

Optional but recommended A unique ID that you can include to prevent duplicating objects or transactions in the case that a request is sent more than once. This key isn’t generated in Payabli, you must generate it yourself. This key persists for 2 minutes. After 2 minutes, you can reuse the key if needed.

Query parameters

autoConvertSameDayAchbooleanOptionalDefaults to false
Controls what happens to a payout authorized with `sameDayACH` set to `true` when you capture it after the same-day ACH cutoff. When `true`, Payabli converts the payout to a standard ACH payment and captures it. When `false`, the capture is declined. This parameter has no effect on payouts that weren't authorized for same-day ACH.

Request

This endpoint expects a list of strings.

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

isSuccessbooleanOptional

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

pageIdentifierstringOptional
Auxiliary validation used internally by payment pages and components.
responseCodeintegerOptional

Code for the response. Learn more in API Response Codes.

responseDatalist of objectsOptional
Array of objects describing the transactions.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error